#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace SilverlightApplication3
{
    public class BusinessObjects : INotifyPropertyChanged
    {
        #region private members

        private int _eid;
        private string _ename;
        private string _edesignation;
        private int _eage;
        private string _earea;
        private string _egender;
        private double _esalary;

        #endregion

        # region Public properties

        public int EmployeeId
        {
            get { return _eid; }
            set
            {
                _eid = value;
                OnPropertyChanged("EmployeeId");
            }
        }

        public string EmployeeName
        {
            get { return _ename; }
            set
            {
                _ename = value;
                OnPropertyChanged("EmployeeName");
            }
        }

        public string EmployeeDesignation
        {
            get { return _edesignation; }
            set
            {
                _edesignation = value;
                OnPropertyChanged("EmployeeDesignation");
            }
        }

        public int EmployeeAge
        {
            get { return _eage; }
            set
            {
                _eage = value;
                OnPropertyChanged("EmployeeAge");
            }
        }

        public string EmployeeArea
        {
            get { return _earea; }
            set
            {
                _earea = value;
                OnPropertyChanged("EmployeeArea");
            }
        }

        public string EmployeeGender
        {
            get { return _egender; }
            set
            {
                _egender = value;
                OnPropertyChanged("EmployeeGender");
            }
        }

        public double EmployeeSalary
        {
            get { return _esalary; }
            set
            {
                _esalary = value;
                OnPropertyChanged("EmployeeSalary");
            }
        }

        #endregion

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
